/* EvilRunLoop.m created by bbum on Sat 13-Mar-1999 */

#import "EvilRunLoop.h"
#import "CodeFabSupport.subproj/CodeFabSupport.h"

@implementation EvilRunLoop
+ (void) load
{
    [self poseAsClass: [NSRunLoop class]];
}

- (void)run;
{
    [self logMethod: _cmd withFormat: @"generic -run"];
    [super run];
}
- (void)runUntilDate:(NSDate *)limitDate;
{
    [self logMethod: _cmd withFormat: @"date: %@", limitDate];
    [super run];
}

- (BOOL)runMode:(NSString *)mode beforeDate:(NSDate *)limitDate;
{
    [self logMethod: _cmd withFormat: @"mode: %@ date: %@", mode, limitDate];
    return [super runMode: mode beforeDate: limitDate];
}

- (void)configureAsServer;
{
    [self logMethod: _cmd withFormat: @""];
    [super configureAsServer];
}

- (void)addTimer:(NSTimer *)timer forMode:(NSString *)mode;
{
    [self logMethod: _cmd withFormat: @"addTimer: %@ forMode: '%@'", timer, mode];
    [super addTimer: timer forMode: mode];
}

- (void)addPort:(NSPort *)aPort forMode:(NSString *)mode;
{
    [self logMethod: _cmd withFormat: @"addPort: %@ forMode: '%@'", aPort, mode];
    [super addPort: aPort forMode: mode];
}

- (void)removePort:(NSPort *)aPort forMode:(NSString *)mode;
{
    [self logMethod: _cmd withFormat: @"removePort: %@ forMode: '%@'", aPort, mode];
    [super removePort: aPort forMode: mode];
}

- (void)acceptInputForMode:(NSString *)mode beforeDate:(NSDate *)limitDate;
{
    [self logMethod: _cmd withFormat: @"acceptInputForMode:%@ beforeDate:%@", mode, limitDate];
    [super acceptInputForMode:mode beforeDate:limitDate];
}

@end
