 /*
 **
 ** File:         CFRExceptionTracer.h
 **
 ** Created by:   bbum
 **
 **
 ** Standard disclaimer here.
 **
 ** This code may not be correct.  It may not even work [but it sure seems to].
 ** Potentially,  it may corrupt your data irretrievably [if it does,
 ** please let us know-- we will do our best to make sure the same thing
 ** doesn't happen to us or anyone else].  
 */

extern NSString *CFRInvalidVariableException;

@interface CFRExceptionTracer : NSException
/*"
 * Installation
"*/
+ (void) installExceptionTracing;

/*"
 * Testing the Functionality
"*/
+ (void) testExceptionTracing;

/*"
 * Set / Query Methods
"*/
+ (void) setExceptionTracingEnabled: (BOOL) aFlag;
+ (BOOL) exceptionTracingEnabled;
+ (BOOL) exceptionTracingInstalled;

/*"
 * Wrapped methods
"*/
- (volatile void)raise;
@end
